Bug 107013 - Font problem after loading german keytable
Summary: Font problem after loading german keytable
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-14 11:58 UTC by Bernd Bartmann
Modified: 2014-03-17 02:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-14 13:47:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bernd Bartmann 2003-10-14 11:58:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4) Gecko/20030624

Description of problem:
When starting up the system with German as default locale I see the correct
starup messages from the initscripts [ Ok ]. But after loading the germap
keymap/keytable the brackets appear as german umlauts � and �.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use german as default locale
2. Look at the initscripts messages 
3.
    

Additional info:

Comment 1 Bernd Bartmann 2003-10-14 12:02:00 UTC
Seems to happen only when using "Show messages" during the graphical boot process.

Comment 2 Bill Nottingham 2003-10-14 13:47:08 UTC
This is fixed by removing the keytable initscript.

Comment 3 Scott A. Hughes 2003-10-15 10:56:12 UTC
This bug also affects the English start-up in the same way as described for
German. In the case of Japanese, however, the output of the init scripts is
entirely garbled after keytable starts.

Indeed, as commented above, this bug only happens when "Show messages" is
selected during the graphical boot process, and can be fixed by removing the
keytable initscript or by inactivating it (chkconfig keytable off).

It seems that on this bug entry has been closed on that note, however the
keytable init scripts does start by default. Will this script be removed the
next package, or is the bug going to be fixed?

Comment 4 Bill Nottingham 2003-10-15 19:08:25 UTC
If you update to the latest kbd package, the script should be disabled & removed.


Note You need to log in before you can comment on or make changes to this bug.